/*****************************************************************/
/* Copyright (c) 2007 - 2011 by SAS Institute Inc., Cary, NC,    */
/*                    USA.                                       */
/*             All Rights Reserved.                              */
/*  This software is protected by copyright laws and             */
/*               international treaties                          */
/*                                                               */
/*   U.S. Government Restricted Rights                           */
/* Use, duplication, or disclosure of this software and related  */
/*  documentation by the U.S. government is subject to the       */
/*   Agreement with SAS Institute and the restrictions set forth */
/*  in FAR 52.227-19, Commercial Computer Software -             */
/*              Restricted Rights ( June 1987 )                  */
/*                                                               */
/*****************************************************************/
/* NAME: maemptbl                                                */
/* VERSION: 5.4                                                  */
/* DESCRIPTION: MA export stored process                         */
/*                                                               */
/* PRODUCT: MA                                                   */
/* USAGE: %maemptbl(  );                                         */
/* PARAMETERS:                                                   */
/*    tableName - text libname.name of the empty table to create.*/
/*    columnNameList - space-separated list of text name of the  */
/*                     subjectID columns                         */
/*    columnFormatList - space-separated list of column lengths  */
/*                   if column columnName is numeric, then the   */
/*                   length for the column.  If it is text, then */
/*                   length has a prepended "$"                  */
/*                                                               */
/*****************************************************************/
* MA export stored process;
%macro maemptbl(
      tableName= &tableName,
      columnNameList=&columnNameList,
      columnFormatList=&columnFormatList
  );
  %if &MADebug = Y
  %then %do;
    %put creating empty MATable named &tableName with columnNameList &columnNameList and columnFormatList &columnFormatList;
  %end;
  %if &columnNameList ^=
  %then %do;
    %if &tableName ^=
    %then %do;
      %if &columnFormatList ^=
      %then %do;
        data &tableName;
          %let i = 1;
          %let colName=%scan(&columnNameList,&i,%str( ));
          %let colFmt=%scan(&columnFormatList,&i,%str( ));
          %do %while( &colName ne );
             attrib &colName FORMAT=&colFmt;
             %let i=%eval(&i+1);
             %let colName=%scan(&columnNameList,&i,%str( ));
             %let colFmt=%scan(&columnFormatList,&i,%str( ));
          %end;
          stop;
        run;
      %end;
      %else %do;
        %let MAError = 1000;
        %let MAMsg = Macro[&sysmacroname.] Missing column length creating empty member table.;
      %end;
    %end;
    %else %do;
      %let MAError = 1001;
      %let MAMsg = Macro[&sysmacroname.] Missing table name creating empty member table.;
    %end;
  %end;
  %else %do;
    %let MAError = 1002;
    %let MAMsg = Macro[&sysmacroname.] Missing column name creating empty member table.;
  %end;

  %if &MADebug = Y
  %then %do;
    %put After creating empty table &tableName, SYSCC=&SYSCC;
  %end;
%mend;
