/*****************************************************************/
/* Copyright (c) 2007 - 2013 by SAS Institute Inc., Cary, NC,    */
/*                    USA.                                       */
/*             All Rights Reserved.                              */
/*  This software is protected by copyright laws and             */
/*               international treaties                          */
/*                                                               */
/*         U.S. Government Restricted Rights                     */
/* Use, duplication, or disclosure of this software and related  */
/*  documentation by the U.S. government is subject to the       */
/*   Agreement with SAS Institute and the restrictions set forth */
/*  in FAR 52.227-19, Commercial Computer Software -             */
/*              Restricted Rights ( June 1987 )                  */
/*                                                               */
/*****************************************************************/
/* NAME: mausumm                                                 */
/* VERSION: 6.1                                                  */
/* DESCRIPTION:                                                  */
/*                                                               */
/* PRODUCT: MA                                                   */
/* USAGE: %mausumm( InTable, VarList, IdList, SubjectKeys,      */
/*  OutTable, Type, Mode, Option, IdListSeparator );             */
/*        InTable -                                              */
/*        VarList -                                              */
/*        IdList -                                               */
/*        SubjectKeys -                                          */
/*        OutTable -                                             */
/*        Type -                                                 */
/*        Mode -                                                 */
/*        Option -                                               */
/*        IdListSeparator -                                      */
/*                                                               */
/*****************************************************************/
/*****************************************************************************/
/* PRISM VERSION: $Revision: 1.1.4.1 $ ;
/* Revision Date: $Date: 2013/07/25 13:07:58 $  ;
/*****************************************************************************/
/*****************************************************************************/
/* HISTORY:                                                                  */
/* DATE       Defect No  Comments/updated by                                 */
/* ---------  ---------  --------------------------------------------------- */
/* 23APR2013             GA                                                  */
/*****************************************************************************/



%macro mausumm(InTable, VarList, OutTable);

/* Check if there was an error in the stored process.
   Return from the macro if there is one. */
%if (&MAError ne %str()) %then %do;
    %return;
%end;

%let i=1;
%let var=%scan(&VarList, &i, %str( ));
proc means data=&InTable noprint;
   var &VarList;
   output out=&OutTable(compress=yes drop=_type_ _freq_)
   %do %while(%length(&var) > 0);
      min(&var)=&var._min
      max(&var)=&var._max
      mean(&var)=&var._mean

      %let i=%eval(&i+1);
      %let var=%scan(&VarList, &i, %str( ));
   %end;
   ;
run;
%mend;
