/*****************************************************************/
/* Copyright (c) 2007 - 2011 by SAS Institute Inc., Cary, NC,    */
/*                    USA.                                       */
/*             All Rights Reserved.                              */
/*  This software is protected by copyright laws and             */
/*               international treaties                          */
/*                                                               */
/*       U.S. Government Restricted Rights                       */
/* Use, duplication, or disclosure of this software and related  */
/*  documentation by the U.S. government is subject to the       */
/*   Agreement with SAS Institute and the restrictions set forth */
/*  in FAR 52.227-19, Commercial Computer Software -             */
/*              Restricted Rights ( June 1987 )                  */
/*                                                               */
/*****************************************************************/
/* NAME: macnvvar                                                */
/* VERSION: 5.4                                                  */
/* 20Aug2012 S0822815  added new parameters to the macro for     */
/*  sending input and output variable format of the export var   */
/*  Instead of checking the input & output formats for each      */
/*  observation at run time modified to check during the         */
/*  dynamic code creation                                        */
/*****************************************************************/
%macro macnvvar( invar, outvar, in_fmt, out_fmt );
   %if &MADebug = Y %then %do;
      %put invar=&invar;
      %put outvar=&outvar;
   %end;
   /* S0822815 - modified to check & compare the macro var values
    instead of doing it runtime for each variable per observation*/
    %if &in_fmt. = DATE and &out_fmt. = DATETIME %then
    %do;
        &outvar=input(strip(put(&invar,DATE9.))||':00:00:00',DATETIME18.0);
    %end;
    %else %if &in_fmt. = DATETIME and &out_fmt. = DATE %then
    %do;
        &outvar=datepart(&invar);
    %end;
    %else
        &outvar=&invar;

   /*
   if vformatn(&invar)='DATE' and vformatn(&outvar)='DATETIME'
   then &outvar=input(strip(put(&invar,DATE9.))||':00:00:00',DATETIME18.0);

   else if vformatn(&invar)='DATETIME' and vformatn(&outvar)='DATE'
   then &outvar=datepart(&invar);
   */
   /* default */
   /*else &outvar=&invar;*/
%mend;
