/*
riOption - space separate list of option names
riValue - <= space separated list of new values
isGlobal - set to 1 to reference outMacroVar as a global

If the riOption has a matching value, then it will be replaced or inserted
If the riOption does not have a matching value, then it will be deleted from the libname

%let lib=%str( libname name library a=x b=y c=z );
%malibupd( &lib, lib, a b c, d e );
Results in lib being assigned:
libname name library a=d b=e;

Note that c was removed because no matching substitution was supplied.
 */
%macro malibupd(inLib, outMacroVar, riOption, riValue, isGlobal=0);
%if 1 = &isGlobal %then %do;
   %global &outMacroVar;
%end;

%let i=1;
%let option=%scan(&riOption, &i, %str( ));
%let value=%scan(&riValue, &i, %str( ));
data _null_;
    length c $ 32767;
    c="%superq(inLib)";
    c=prxchange("s/;$//",-1,strip(c));

    %do %while( &option ne );
        %let replValue=;
        %if ( &value ne ) %then %do;
            %let replValue=&option=&value;
            if ( prxmatch("/&option\s*=/",c) gt 0 ) then c=prxchange("s/&option\s*=\s*[^\s]+/&replValue/i", -1, c);
            else c=strip(c)||" &replValue";
        %end; %else %do;
            c=prxchange("s/&option\s*=\s*[^\s]+/&replValue/i", -1, c);
        %end;

        %let i=%eval(&i+1);
        %let option=%scan(&riOption, &i, %str( ));
        %let value=%scan(&riValue, &i, %str( ));
    %end;
    call symput("&outMacroVar", strip(c));
run;
%mend;
