/*****************************************************************/
/* Copyright (c) 2007 - 2012 by SAS Institute Inc., Cary, NC,    */
/*                    USA.                                       */
/*             All Rights Reserved.                              */
/*  This software is protected by copyright laws and             */
/*               international treaties                          */
/*                                                               */
/*              U.S. Government Restricted Rights                */
/* Use, duplication, or disclosure of this software and related  */
/*  documentation by the U.S. government is subject to the       */
/*   Agreement with SAS Institute and the restrictions set forth */
/*  in FAR 52.227-19, Commercial Computer Software -             */
/*              Restricted Rights ( June 1987 )                  */
/*                                                               */
/*****************************************************************/
/* NAME: maspinit                                                */
/* VERSION: 5.41                                                  */
/* DESCRIPTION:                                                  */
/*                                                               */
/* PRODUCT: MA                                                   */
/* USAGE: %maspinit( xmlstream );                                */
/*        xmlstream - optional xml stream to be copied into work */
/*                                                               */
/*****************************************************************/
%macro maspinit(xmlstream=);
    %global maDebug MAError MAMsg MANodeName MATableName MAColumnName MATables;
    %if &maDebug eq Y
    %then %do;
        option mprint source source2 stimer notes;
    %end;
    %else %do;
        options NOMPRINT;
        options nosource nosource2 stimer notes;
    %end;

    option nofmterr novnferr nobyerr nodsnferr;
    option no$syntaxcheck;

    %if %symexist(MATables) %then %do;
        %syscall stpsrv_unquote2(MATables);
        &MATables;
    %end;
    %if %length(&xmlstream) > 0 %then %do;
        %let i = 1;
        %let streamname=%scan(&xmlstream,&i,' ');
        %do %while(%length(&streamname)>0);
            libname &streamname xml;
            proc copy in=&streamname out=work; run;

            %let i = %eval(&i+1);
            %let streamname=%scan(&xmlstream,&i,' ');
        %end;
    %end;
    %let MAError=;
    %let MAMsg=;
    %let MANodeName=;
    %let MATableName=;
%mend;
